package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.yada.AustraliaMiddleEastVO;
import com.ruoyi.system.service_yada.IAustraliaMiddleEastService;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 *  森林覆盖率
 * @Author: JinSheng Song
 * @Date: 2022/5/11 9:08
 */
@RestController
@RequestMapping(value = "/business-service/api/Aorest", produces = "application/json;charset=UTF-8")
public class AorestCoverageController {
    //@Autowired
    private IAustraliaMiddleEastService australiaMiddleEastService;

    /**
     * 查询方法
     * @param response
     * @param request
     * @return
     */
    @RequestMapping(value = "/SelectAustralia",method = {RequestMethod.POST})
    public AjaxResult SelectAustralia(HttpServletResponse response, HttpServletRequest request)
    {
        List<AustraliaMiddleEastVO> eastVOSList= australiaMiddleEastService.selectAustralia();
        return AjaxResult.success(eastVOSList);
    }

    /**
     * 删除方法
     * @param ID
     * @return
     */
    @RequestMapping(value = "/DelAustralia",method = {RequestMethod.POST})
    public AjaxResult DelAustralia(@Param("ID") String ID)
    {
        int NUM = australiaMiddleEastService.DelAustralia(ID);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();

    }

    /**
     * 新增方法
     * @param eastVOS
     * @return
     */
    @RequestMapping(value = "/IntoAustralia",method = {RequestMethod.POST})
    public AjaxResult IntoAustralia(AustraliaMiddleEastVO eastVOS)
    {
        int NUM =  australiaMiddleEastService.IntoAustralia(eastVOS);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();
    }
}
