package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.service_yada.IRegionVGIService;
import com.ruoyi.system.domain.yada.RegionVGIVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 *  各区域VGI
 * @Author: JinSheng Song
 * @Date: 2022/5/11 9:08
 */
@RestController
@RequestMapping(value = "/business-service/api/orderMng", produces = "application/json;charset=UTF-8")
public class RegionVGIController
{
    //@Autowired
    private IRegionVGIService regionVGIService;
    /**
     * 查询方法
     * @param response
     * @param request
     * @return
     */
    @RequestMapping(value = "/SelectRegion",method = {RequestMethod.POST})
    public AjaxResult SelectRegion(HttpServletResponse response, HttpServletRequest request)
    {
        List<RegionVGIVO> vgivost= regionVGIService.selectRegion();
        return AjaxResult.success(vgivost);
    }

    /**
     * 删除方法
     * @param ID
     * @return
     */
    @RequestMapping(value = "/DelRegion",method = {RequestMethod.POST})
    public AjaxResult DelRegion(@Param("ID") String ID)
    {
        int NUM = regionVGIService.DelRegion(ID);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();

    }

    /**
     * 新增方法
     * @param vgivo
     * @return
     */
    @RequestMapping(value = "/IntoRegion",method = {RequestMethod.POST})
    public AjaxResult IntoRegion(RegionVGIVO vgivo)
    {
        int NUM =  regionVGIService.IntoRegion(vgivo);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();
    }
}
